package com.goafanti.user.bo;

public class UserIdentityBo extends InputUserIdentity {
	private String reservationCount;
	private String graduateSchool;
	private String majorCategory;
	private String qualification;
	private String professionalTitle;
	private Integer auditStatus;
	
	public Integer getAuditStatus() {
		return auditStatus;
	}

	public void setAuditStatus(Integer auditStatus) {
		this.auditStatus = auditStatus;
	}

	public String getGraduateSchool() {
		return graduateSchool;
	}

	public void setGraduateSchool(String graduateSchool) {
		this.graduateSchool = graduateSchool;
	}

	public String getMajorCategory() {
		return majorCategory;
	}

	public void setMajorCategory(String majorCategory) {
		this.majorCategory = majorCategory;
	}

	public String getQualification() {
		return qualification;
	}

	public void setQualification(String qualification) {
		this.qualification = qualification;
	}

	public String getProfessionalTitle() {
		return professionalTitle;
	}

	public void setProfessionalTitle(String professionalTitle) {
		this.professionalTitle = professionalTitle;
	}

	public String getReservationCount() {
		return reservationCount;
	}

	public void setReservationCount(String reservationCount) {
		this.reservationCount = reservationCount;
	}
	
	@Override
	public String getHeadPortraitUrl() {
		if(super.getHeadPortraitUrl()!= null && !super.getHeadPortraitUrl().contains("."))return null;
		return super.getHeadPortraitUrl();
	}
}
